import pandas
from nltk.corpus import stopwords
from nltk.tokenize import word_tokenize
from sklearn.feature_extraction.text import CountVectorizer

pandas.options.display.max_rows = 6000

stopwrds = set(stopwords.words("english"))

whole_df = pandas.read_csv("../dp_data/cutted-data.csv", delimiter=",")

tokens = []

test_df = whole_df["fulltext"]

print("Starting tokenization...")

whole_df["fulltext"].apply(lambda x: tokens.append(word_tokenize(x)))

post_stopwords = []

#for token in tokens:
#    post_stopwords.append(list(filter(lambda x: x.lower() not in stopwrds, token)))

print("Tokenization complete.")

print("Starting vectorization...")

vectorizer = CountVectorizer(stop_words="english")

bog = vectorizer.fit_transform(test_df)

print("Vectorization complete.")

print("Creating Pandas data frame...")

bog_df = pandas.DataFrame(bog.toarray(), columns=vectorizer.get_feature_names_out())

#bog_df["Sentiment-XX"] = whole_df["Sentiment"]

print("Data frame done.")

print("Starting csv file write...")

bog_df.to_csv("./sharp_data.csv", index=False)

print("CSV file has been written and saved to the drive.")